com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowEdge

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    DecisionEdge, LoopbackEdge

      public interface FlowEdge
      extends CorticonObject

  A representation of the model object 'Flow Edge'.

  The following features are supported:

  - `Source Shape`
  - `Target Shape`
  See Also:
    `FlowdiagramPackage.getFlowEdge()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowShape` | `getSourceShape()` Returns the value of the 'Source Shape' reference.
    `FlowShape` | `getTargetShape()` Returns the value of the 'Target Shape' reference.
    `void` | `setSourceShape(FlowShape value)` Sets the value of the '`Source Shape`' reference
    `void` | `setTargetShape(FlowShape value)` Sets the value of the '`Target Shape`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSourceShape

          FlowShape getSourceShape()

      Returns the value of the 'Source Shape' reference. It is bidirectional and its opposite is '`Outbound Edges`'.

      If the meaning of the 'Source Shape' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Shape' reference.
      See Also:
        `setSourceShape(FlowShape)`, `FlowdiagramPackage.getFlowEdge_SourceShape()`, `FlowShape.getOutboundEdges()`

    - #### setSourceShape

          void setSourceShape(FlowShape value)

      Sets the value of the '`Source Shape`' reference.
      Parameters:
        `value` - the new value of the 'Source Shape' reference.
      See Also:
        `getSourceShape()`

    - #### getTargetShape

          FlowShape getTargetShape()

      Returns the value of the 'Target Shape' reference. It is bidirectional and its opposite is '`Inbound Edges`'.

      If the meaning of the 'Target Shape' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target Shape' reference.
      See Also:
        `setTargetShape(FlowShape)`, `FlowdiagramPackage.getFlowEdge_TargetShape()`, `FlowShape.getInboundEdges()`

    - #### setTargetShape

          void setTargetShape(FlowShape value)

      Sets the value of the '`Target Shape`' reference.
      Parameters:
        `value` - the new value of the 'Target Shape' reference.
      See Also:
        `getTargetShape()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.